Running Java Applets with Expired Certificate
Posted by Aly Essa, Last modified by Aly Essa on 23 January 2020 01:21 PM
Overview

On November 1st, 2019, FileCatalyst ended support for Java Applets. As such, FileCatalyst no longer re-signs, supports, or distributes Java Applets. Furthermore, FileCatalyst no longer provides any support for legacy products that still use or embeds Java Applets.

Java Applets were replaced with TransferAgent technology. TransferAgent appeared in v3.4.1 Build 7 which was released on September 24th, 2014, at which point the Java Applets were deprecated. The last build of Java Applets occurred 3 years later in v3.7.1 Build 10 (July 10th, 2017), and after 5 years support was concluded on November 1st, 2019.

However, it’s still possible to run old FileCatalyst/Unlimi-Tech Java Applets with expired certificates.

Environment

FileCatalyst Workflow 
FileCatalyst Applets

Resolution

Please see the attached PDF for the full guide. The settings in the guide must be performed on all client-side machines.


Attachments 
 
 Running Java Applets with an Expired Certificate.pdf (668.14 KB)